#
# spec file for package rubygem-radiant
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-radiant
Version:        1.1.4
Release:        3.1
%define mod_name radiant
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
# rdoc >= 3.9.2
BuildRequires:  %{rubygem rdoc  >= 3.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://radiantcms.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:       series
Source2:       gem2rpm.yml
# MANUAL
Patch0:  radiant-1.1.4_shebang.patch
# /MANUAL
Summary:        A no-fluff content management system designed for small teams
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Radiant is a simple and powerful publishing system designed for small teams.
It is built with Rails and is similar to Textpattern or MovableType, but is
a general purpose content managment system--not merely a blogging engine.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Mon Sep 29 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
- added radiant-1.1.4_shebang.patch and series:
  We want /usr/bin/ruby.
* Thu Oct 10 2013 coolo@suse.com
- updated to version 1.1.4
  * Remove autotest support [Jim Gay]
  * Bump to Rails 2.3.18 [Jim Gay]
  * Update versions for several extensions in the generated Gemfile [Benny Degezelle]
  * Move snippet configuration into snippets extension [Benny Degezelle]
  * Get default gravatar image locally when fire walled [Andrew Vonderluft, Benny Degezelle]
  * Fix migration problems concerning allowed_children_cache [Andrew Vonderluft]
  * Prevent spec errors on generated extensions [Andrew Vonderluft]
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.1.3
  * Move to Rails 2.3.17 [Jim Gay]
  * Bump rack dependency to 1.1.6 [Jim Gay]
  * Fixed errors from using rake 10.0.3 and old gem package tasks [Jim Gay]
* Fri Jan 25 2013 coolo@suse.com
- updated to version 1.1.1
* Fri Nov 16 2012 coolo@suse.com
- updated to version 1.1.0, no changelog
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.8.2
  * Allow rake tasks to run if a higher version of Cucumber is
    installed [Jim Gay]
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 0.8.1
* Mon Nov 24 2008 mrueckert@suse.de
- update to version 0.6.9
* Fri Jan 11 2008 crrodriguez@suse.de
- version 0.6.4
  This release contains a few major changes as well as numerous
  bug-fixes and enhancements. Included in the release are Rails
  1.2.5, Prototype 1.6 and script.aculo.us 1.8.  Significant
  refactorings have been done to the admin UI Javascripts, thanks
  to Mislav Marohnic.  The release also provides better support for
  MS SQL Server via Rails ticket/patch #8886 and stricter XHTML
  compatibility.
* Tue Aug 28 2007 crrodriguez@suse.de
- update to version 0.6.2
